%global namedreltag -SNAPSHOT
%global namedversion %{version}%{?namedreltag}
Name:          couchdb4j
Version:       0.3.0
Release:       %mkrel 1
Summary:       CouchDB library for Java using JSON
Group:         Development/Java
License:       ASL 2.0
Url:           http://code.google.com/p/couchdb4j/
# svn export http://couchdb4j.googlecode.com/svn/trunk/ couchdb4j-0.3.0-SNAPSHOT
# rm -rf couchdb4j-0.3.0-SNAPSHOT/lib/*.jar couchdb4j-0.3.0-SNAPSHOT/lib/test/*.jar couchdb4j-0.3.0-SNAPSHOT/javadoc
# tar czf couchdb4j-0.3.0-SNAPSHOT-src-svn.tar.gz couchdb4j-0.3.0-SNAPSHOT
Source0:       couchdb4j-%{namedversion}-src-svn.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4

BuildRequires: apache-commons-lang
BuildRequires: apache-commons-logging
BuildRequires: ezmorph
BuildRequires: httpcomponents-client
BuildRequires: json-lib
BuildRequires: junit4
BuildRequires: forge-parent

#BuildRequires: avalon-framework
#BuildRequires: avalon-logkit
#BuildRequires: groovy
#BuildRequires: jruby
#BuildRequires: liblog4j-java


Requires:      apache-commons-logging
Requires:      ezmorph
Requires:      httpcomponents-client
Requires:      json-lib

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
CouchDB library for Java using JSON.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n couchdb4j-%{namedversion}

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%build

mvn-rpmbuild -Dmaven.test.failure.ignore=true install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar -a "com.google.code:couchdb4j"

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE.TXT README.TXT

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Mon Feb 06 2012 gil <gil> 0.3.0-1.mga2
+ Revision: 205105
- imported package couchdb4j

